package pt.segsocial.ssn.async;

import io.quarkus.test.junit.QuarkusTest;
import io.restassured.response.Response;
import org.apache.http.HttpStatus;
import org.hamcrest.Matchers;
import org.junit.jupiter.api.Test;

import static io.restassured.RestAssured.given;
import static org.hamcrest.Matchers.empty;
import static org.hamcrest.Matchers.is;

@QuarkusTest
class MetaendpointsTestIT {
    public static final String HEALTH_ENDPOINT = "health";

    @Test
    void shouldReturnOKWhenHealthEndpoint() {

        given()
            .when()
            .get(HEALTH_ENDPOINT)
            .then().log().body()
            .statusCode(HttpStatus.SC_OK);
    }
}
